<template>
  <div class="dibs-modal--wrapper" :data-open="isOpen">
    <div class="dibs-modal">
      <div class="dibs-modal--title">
        <span class="close" @click="close"><dibs-picto-cross-light /></span>
        <h2><slot name="title"></slot></h2>
      </div>
      <div class="dibs-modal--content">
        <slot name="content"></slot>
      </div>
    </div>
  </div>
</template>
<script>
// import Foo from "~/components/foo.vue";
export default {
  components: {
    // Foo
  },
  props: {
    id: {
      type: [String],
      default: "modal",
    },
  },
  data() {
    return {
      isOpen: false,
      Modals: this.$models.Modals(),
    };
  },
  mounted() {
    this.Modals.onOpen(this.id, this.open);
  },
  methods: {
    open: function () {
      this.Modals.emitIsOpen();
      this.isOpen = true;
    },
    close: function () {
      this.Modals.emitIsClosed();
      this.isOpen = false;
    },
  },
};
</script>
<style>
.dibs-modal--wrapper {
  display: none;
  position: fixed;
  z-index: 1;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  overflow: auto;
  background-color: rgb(0, 0, 0);
  background-color: rgba(0, 0, 0, 0.4);
}

.dibs-modal--wrapper[data-open="true"] {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}

.dibs-modal {
  background-color: #fefefe;
  padding: 2em;
  border: 1px solid #888;
  width: fit-content;
  max-width: var(--dibs-layout-aside-content-width--max);
  max-height: 85vh;
  overflow: hidden;
  display: flex;
  flex-direction: column;
}

.dibs-modal--content {
  overflow-x: auto;
  padding-right: 1em;
}

.close {
  color: #aaa;
  float: right;
  font-size: 28px;
  font-weight: bold;
}

.close:hover,
.close:focus {
  color: black;
  text-decoration: none;
  cursor: pointer;
}
</style>
